Screamer Forums and Screamer gallery have returned.

The Screamer Forums will likely remain read only unless it's known that it will be active, since forums in general are kind of dead because of Discord.

MediaWiki:Mobile.css

From Screamer Wiki
Revision as of 08:56, 13 April 2023 by Likeicare (talk | contribs)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* Custom fonts */
@font-face {
  font-family: "Submona";
  src: url("/resources/assets/submona.woff") format("woff");
}
@font-face {
  font-family: "Giko";
  src: url("/resources/assets/giko2.woff") format("woff");
}

.wingdings {
	font-family: "Wingdings";
}

/* AA mode for non-Safari browsers */
.poem.aa, .pre.aa {
	font-family: 'MS PGothic', 'submona', sans-serif !important;
	word-wrap: break-word;
	line-height: 1;
	font-size: 12pt;
}

/* AA mode for Safari since Safari will try to set the page to shift-jis */
@media screen and (-webkit-min-device-pixel-ratio:0) { 
	.poem.aa, .pre.aa {
		font-family: 'submona', sans-serif !important;
	}
}

/* AA mode with the giko font as default for non-Safari browsers */
.poem.aagiko, .pre.aagiko {
	font-family: 'MS PGothic', 'giko', sans-serif !important;
	word-wrap: break-word;
	line-height: 1;
	font-size: 12pt;
}

/* AA mode with the giko font for Safari since Safari will try to set the page to shift-jis */
@media screen and (-webkit-min-device-pixel-ratio:0) { 
	.poem.aagiko, .pre.aagiko {
		font-family: 'giko', sans-serif !important;
	}
}

.toc {
display: none;
}

.portable-infobox {
  background-color: #2C2828;
  border: 1px solid #a62e10;
  box-shadow: 0 1px 2px rgba(0,0,0,0.15);
  margin: 10px;
  padding: 10px;
  width: 280px;
}

.portable-infobox .pi-item-spacing {
  border-bottom: 4px solid #2C2828;
}

.portable-infobox .pi-title {
  color: #fdfdee;
  background-color: #a62e10;
  font-size: 15px;
  font-weight: bold;
  margin-bottom: 10px;
  padding: 0px 10px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  height: auto;
  line-height: normal;
  font-style: italic;
}

.portable-infobox .pi-header {
  color: #fdfdee;
  background-color: #a62e10;
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 25px;
  line-height: 25px;
}

/* Infobox label */
.portable-infobox .pi-data-label {
  background-color: #5a5554;
  padding-left: 5px;
  padding-right: 5px;
  flex: 0 0 30%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  color: #fdfdee;
}

.portable-infobox .pi-data {
  font-weight: bold;
  color: #fdfdee;
  padding: 5px 10px;
  padding-left: 5px;
  padding-right: 5px;
  background-color: #4d4543;
}

/* Infobox label and data colors */
.portable-infobox .pi-data:nth-child(odd) .pi-data-label,
.portable-infobox .pi-data:nth-child(odd) .pi-data-value {
  background-color: #5a5554; 
}

/* Second label and data */
.portable-infobox .pi-data:nth-child(even) .pi-data-label,
.portable-infobox .pi-data:nth-child(even) .pi-data-value {
  background-color: #4d4543;
}

.portable-infobox .pi-image {
  display: block;
  margin: 0 auto;
  max-width: 100%;
  height: auto;
  margin-bottom: 5px;
}

.portable-infobox .pi-data-value a {
  color: #0645ad;
  text-decoration: none;
}

.portable-infobox .pi-data-value a:hover {
  text-decoration: underline;
}

/* Add your usernames here */
a[href$=":Angeleno"], a[href$="/Angeleno"], a[visited$=":Angeleno"], a[visited$="/Angeleno"]{
    font-weight:bold;
    color: #2871F7 !important;
}
a[href$=":Screamer1234"], a[href$="/Screamer1234"]{
    font-weight:bold;
    color: cyan !important;
}
a[href$=":DevinMillar"], a[href$="/DevinMillar"]{
    font-weight:bold;
    color: yellow !important;
}
a[href$=":TabbyGarf"], a[href$="/TabbyGarf"]{
    font-weight:bold;
    color: orange !important;
}
a[href$=":Sump"], a[href$="/Sump"]{
    font-weight:bold;
    color: cyan !important;
}
a[href$=":Tankman_fan_44"], a[href$="/Tankman_fan_44"]{
    font-weight:bold;
    color: #FFFFFF !important;
    text-shadow: 0px 0px 5px #2a9df4;
}
a[href$=":Pmb1226"], a[href$="/Pmb1226"]{
    font-weight:bold;
    color: coral !important;
}
a[href$=":Likeicare"], a[href$="/Likeicare"]{
    font-weight:bold;
    color: red !important;
}
a[href$=":LuaGunsX"], a[href$="/LuaGunsX"]{
    font-weight:bold;
    color: #9C3838 !important;
}